Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/abort_gcm.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/abort_gcm.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/abort_gcm.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: abort_gcm.F 1747 2013-04-23 14:06:30Z lguez $
-!
+
 c
 c
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/addfi_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/addfi_loc.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/addfi_loc.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
       SUBROUTINE addfi_loc(pdt, leapf, forward,
      S          pucov, pvcov, pteta, pq   , pps ,
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/advect_new_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/advect_new_loc.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/advect_new_loc.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Header$
-!
+
       SUBROUTINE advect_new_loc(ucov,vcov,teta,w,massebx,masseby,
      &                        du,dv,dteta)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/advtrac_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/advtrac_loc.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/advtrac_loc.F90	(revision 5099)
@@ -4,10 +4,10 @@
 SUBROUTINE advtrac_loc(pbarug, pbarvg, wg, p, massem, q, teta, pk)
    !     Auteur :  F. Hourdin
-   !
+
    !     Modif. P. Le Van     (20/12/97)
    !            F. Codron     (10/99)
    !            D. Le Croller (07/2001)
    !            M.A Filiberti (04/2002)
-   !
+
    USE infotrac,     ONLY: nqtot, tracers
    USE control_mod,  ONLY: iapp_tracvl, day_step, planet_type
@@ -23,5 +23,5 @@
 
    IMPLICIT NONE
-   !
+
    include "dimensions.h"
    include "paramet.h"
@@ -122,5 +122,4 @@
 #endif
 
-!          
 !  CALL Register_Hallo_v(pbarvg,llm,1,1,1,1,TestRequest)
 !  CALL SendRequest(TestRequest)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bands.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bands.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bands.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
   module Bands
   USE parallel_lmdz
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bilan_dyn_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bilan_dyn_loc.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bilan_dyn_loc.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: bilan_dyn_p.F 1299 2010-01-20 14:27:21Z fairhead $
-!
+
       SUBROUTINE bilan_dyn_loc (ntrac,dt_app,dt_cum,
      s  ps,masse,pk,flux_u,flux_v,teta,phi,ucov,vcov,trac)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/caladvtrac_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/caladvtrac_loc.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/caladvtrac_loc.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: caladvtrac_p.F 1299 2010-01-20 14:27:21Z fairhead $
-!
+
 c
 c
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/caldyn_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/caldyn_loc.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/caldyn_loc.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: $
-!
+
 #undef DEBUG_IO
 !#define DEBUG_IO
@@ -17,12 +17,12 @@
 
 !=======================================================================
-!
+
 !  Auteur :  P. Le Van
-!
+
 !   Objet:
 !   ------
-!
+
 !   Calcul des tendances dynamiques.
-!
+
 ! Modif 04/93 F.Forget
 !=======================================================================
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/call_dissip_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/call_dissip_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/call_dissip_mod.F90	(revision 5099)
@@ -222,5 +222,4 @@
 !    .......        P. Le Van (  ajout  le 17/04/96  )   ...........
 !   ...      Calcul de la valeur moyenne, unique de h aux poles  .....
-!
 
     ijb=ij_begin
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/convmas1_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/convmas1_loc.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/convmas1_loc.F90	(revision 5099)
@@ -1,4 +1,4 @@
 SUBROUTINE convmas1_loc (pbaru, pbarv, convm)
-!
+
 !-------------------------------------------------------------------------------
 ! Authors: P. Le Van , Fr. Hourdin.
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/convmas2_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/convmas2_loc.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/convmas2_loc.F90	(revision 5099)
@@ -1,4 +1,4 @@
 SUBROUTINE convmas2_loc (convm)
-!
+
 !-------------------------------------------------------------------------------
 ! Authors: P. Le Van , Fr. Hourdin.
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/convmas_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/convmas_loc.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/convmas_loc.F90	(revision 5099)
@@ -1,4 +1,4 @@
 SUBROUTINE convmas_loc (pbaru, pbarv, convm)
-!
+
 !-------------------------------------------------------------------------------
 ! Authors: P. Le Van , Fr. Hourdin.
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/covnat_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/covnat_loc.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/covnat_loc.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Header$
-!
+
       SUBROUTINE covnat_loc(klevel,ucov, vcov, unat, vnat )
       USE parallel_lmdz
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dissip_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dissip_loc.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dissip_loc.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: $
-!
+
       SUBROUTINE dissip_loc( vcov,ucov,teta,p, dv,du,dh )
 c
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynetat0_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynetat0_loc.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynetat0_loc.F90	(revision 5099)
@@ -1,4 +1,4 @@
 SUBROUTINE dynetat0_loc(fichnom,vcov,ucov,teta,q,masse,ps,phis,time)
-!
+
 !-------------------------------------------------------------------------------
 ! Authors: P. Le Van , L.Fairhead
@@ -9,6 +9,6 @@
   USE infotrac,    ONLY: nqtot, tracers, niso, iqIsoPha, iH2O, isoName
   USE strings_mod, ONLY: maxlen, msg, strStack, real2str, int2str, strIdx
-  USE netcdf,      ONLY: NF90_OPEN,  NF90_NOWRITE, NF90_INQUIRE_DIMENSION, NF90_INQ_VARID, &
-                         NF90_CLOSE, NF90_GET_VAR, NF90_INQUIRE_VARIABLE,  NF90_NoErr
+  USE netcdf,      ONLY: NF90_OPEN,  NF90_NOWRITE, nf90_inquire_dimension, NF90_INQ_VARID, &
+                         NF90_CLOSE, nf90_get_var, NF90_INQUIRE_VARIABLE,  nf90_noerr
   USE readTracFiles_mod, ONLY: new2oldH2O, newHNO3, oldHNO3, getKey
   USE control_mod, ONLY: planet_type
@@ -87,10 +87,10 @@
   pa         = tab_cntrl(idecal+13)
   preff      = tab_cntrl(idecal+14)
-!
+
   clon       = tab_cntrl(idecal+15)
   clat       = tab_cntrl(idecal+16)
   grossismx  = tab_cntrl(idecal+17)
   grossismy  = tab_cntrl(idecal+18)
-!
+
   IF ( tab_cntrl(idecal+19)==1. )  THEN
     fxyhypb  = .TRUE.
@@ -122,10 +122,10 @@
 
   var="temps"
-  IF(NF90_INQ_VARID(fID,var,vID)/=NF90_NoErr) THEN
+  IF(NF90_INQ_VARID(fID,var,vID)/=nf90_noerr) THEN
     CALL msg('missing field <temps> ; trying with <Time>', modname)
     var="Time"
     CALL err(NF90_INQ_VARID(fID,var,vID),"inq",var)
   END IF
-  CALL err(NF90_GET_VAR(fID,vID,time),"get",var)
+  CALL err(nf90_get_var(fID,vID,time),"get",var)
 
   ALLOCATE(phis_glo(ip1jmp1))
@@ -157,5 +157,5 @@
   ll = .FALSE.
 #ifdef REPROBUS
-  ll = NF90_INQ_VARID(fID, 'HNO3tot', vID) /= NF90_NoErr                                 !--- DETECT OLD REPRO start.nc FILE
+  ll = NF90_INQ_VARID(fID, 'HNO3tot', vID) /= nf90_noerr                                 !--- DETECT OLD REPRO start.nc FILE
 #endif
   DO iq=1,nqtot
@@ -170,8 +170,8 @@
     END IF
     !--------------------------------------------------------------------------------------------------------------------------
-    IF(NF90_INQ_VARID(fID, var, vID) == NF90_NoErr .AND. .NOT.lSkip) THEN                !=== REGULAR CASE: AVAILABLE VARIABLE
+    IF(NF90_INQ_VARID(fID, var, vID) == nf90_noerr .AND. .NOT.lSkip) THEN                !=== REGULAR CASE: AVAILABLE VARIABLE
       CALL get_var2(var,q_glo); q(ijb_u:ije_u,:,iq)=q_glo(ijb_u:ije_u,:)
     !--------------------------------------------------------------------------------------------------------------------------
-    ELSE IF(NF90_INQ_VARID(fID, oldVar, vID) == NF90_NoErr) THEN                         !=== TRY WITH ALTERNATE NAME
+    ELSE IF(NF90_INQ_VARID(fID, oldVar, vID) == nf90_noerr) THEN                         !=== TRY WITH ALTERNATE NAME
       CALL msg('Tracer <'//TRIM(var)//'> is missing => initialized to <'//TRIM(oldVar)//'>', modname)
       CALL get_var2(oldVar, q_glo); q(ijb_u:ije_u,:,iq)=q_glo(ijb_u:ije_u,:)
@@ -241,15 +241,15 @@
   ierr=NF90_INQUIRE_VARIABLE(fID,vID,ndims=nd)
   IF(nd==1) THEN
-    CALL err(NF90_GET_VAR(fID,vID,v),"get",var); RETURN
+    CALL err(nf90_get_var(fID,vID,v),"get",var); RETURN
   END IF
   ierr=NF90_INQUIRE_VARIABLE(fID,vID,dimids=dids)
-  DO k=1,nd; ierr=NF90_INQUIRE_DIMENSION(fID,dids(k),len=nn(k)); END DO
+  DO k=1,nd; ierr=nf90_inquire_dimension(fID,dids(k),len=nn(k)); END DO
   ntot=PRODUCT(nn(1:nd))
   SELECT CASE(nd)
     CASE(2); ALLOCATE(w2(nn(1),nn(2)))
-      CALL err(NF90_GET_VAR(fID,vID,w2),"get",var)
+      CALL err(nf90_get_var(fID,vID,w2),"get",var)
       v=RESHAPE(w2,[ntot]); DEALLOCATE(w2)
     CASE(3); ALLOCATE(w3(nn(1),nn(2),nn(3)))
-      CALL err(NF90_GET_VAR(fID,vID,w3),"get",var)
+      CALL err(nf90_get_var(fID,vID,w3),"get",var)
       v=RESHAPE(w3,[ntot]); DEALLOCATE(w3)
   END SELECT
@@ -267,16 +267,16 @@
 
   IF(nd==1) THEN
-    CALL err(NF90_GET_VAR(fID,vID,v),"get",var); RETURN
+    CALL err(nf90_get_var(fID,vID,v),"get",var); RETURN
   END IF
   ierr=NF90_INQUIRE_VARIABLE(fID,vID,dimids=dids)
 
-  DO k=1,nd; ierr=NF90_INQUIRE_DIMENSION(fID,dids(k),len=nn(k)); END DO
+  DO k=1,nd; ierr=nf90_inquire_dimension(fID,dids(k),len=nn(k)); END DO
 
   SELECT CASE(nd)
   CASE(3); ALLOCATE(w3(nn(1),nn(2),nn(3)))
-     CALL err(NF90_GET_VAR(fID,vID,w3),"get",var)
+     CALL err(nf90_get_var(fID,vID,w3),"get",var)
      v=RESHAPE(w3,[nn(1)*nn(2),nn(3)]); DEALLOCATE(w3)
   CASE(4);  ALLOCATE(w4(nn(1),nn(2),nn(3),nn(4)))
-     CALL err(NF90_GET_VAR(fID,vID,w4),"get",var)
+     CALL err(nf90_get_var(fID,vID,w4),"get",var)
      v=RESHAPE(w4,[nn(1)*nn(2),nn(3)]); DEALLOCATE(w4)
   END SELECT
@@ -288,5 +288,5 @@
   CHARACTER(LEN=*), INTENT(IN) :: typ    !--- TYPE OF OPERATION
   CHARACTER(LEN=*), INTENT(IN) :: nam    !--- FIELD/FILE NAME
-  IF(ierr==NF90_NoERR) RETURN
+  IF(ierr==nf90_noerr) RETURN
   SELECT CASE(typ)
     CASE('inq');   mesg="Field <"//TRIM(nam)//"> is missing"
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynredem_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynredem_loc.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynredem_loc.F90	(revision 5099)
@@ -1,4 +1,4 @@
 SUBROUTINE dynredem0_loc(fichnom,iday_end,phis)
-!
+
 !-------------------------------------------------------------------------------
 ! Write the NetCDF restart file (initialization).
@@ -89,5 +89,5 @@
   tab_cntrl(22) = grossismx
   tab_cntrl(23) = grossismy
-!
+
   IF ( fxyhypb )   THEN
     tab_cntrl(24) = 1.
@@ -162,12 +162,12 @@
 
 END SUBROUTINE dynredem0_loc
-!
-!-------------------------------------------------------------------------------
-
-
-!-------------------------------------------------------------------------------
-!
+
+!-------------------------------------------------------------------------------
+
+
+!-------------------------------------------------------------------------------
+
 SUBROUTINE dynredem1_loc(fichnom,time,vcov,ucov,teta,q,masse,ps)
-!
+
 !-------------------------------------------------------------------------------
 ! Purpose: Write the NetCDF restart file (append).
@@ -178,6 +178,6 @@
   USE infotrac, ONLY: nqtot, tracers, type_trac
   USE control_mod
-  USE netcdf,   ONLY: NF90_OPEN,  NF90_NOWRITE, NF90_GET_VAR, NF90_INQ_VARID,  &
-                      NF90_CLOSE, NF90_WRITE,   NF90_PUT_VAR, NF90_NoErr
+  USE netcdf,   ONLY: NF90_OPEN,  NF90_NOWRITE, nf90_get_var, NF90_INQ_VARID,  &
+                      NF90_CLOSE, NF90_WRITE,   NF90_PUT_VAR, nf90_noerr
   USE dynredem_mod, ONLY: dynredem_write_u, dynredem_write_v, dynredem_read_u, &
                           err, modname, fil, msg
@@ -225,5 +225,5 @@
   var="controle"
   CALL err(NF90_INQ_VARID(nid,var,vID),"inq",var)
-  CALL err(NF90_GET_VAR(nid,vID,tab_cntrl),"get",var)
+  CALL err(nf90_get_var(nid,vID,tab_cntrl),"get",var)
   tab_cntrl(31)=DBLE(itau_dyn + itaufin)
   CALL err(NF90_INQ_VARID(nid,var,vID),"inq",var)
@@ -254,9 +254,9 @@
       fil="start_trac.nc"
       ierr=NF90_INQ_VARID(nid_trac,var,vID_trac)
-      dum='inq'; IF(ierr==NF90_NoErr) dum='fnd'
+      dum='inq'; IF(ierr==nf90_noerr) dum='fnd'
       WRITE(lunout,*)msg(dum,var)
 !$OMP END MASTER
 !$OMP BARRIER
-      IF(ierr==NF90_NoErr) CALL dynredem_read_u(nid_trac,var,q(:,:,iq),llm)
+      IF(ierr==nf90_noerr) CALL dynredem_read_u(nid_trac,var,q(:,:,iq),llm)
     END IF
     fil=fichnom
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynredem_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynredem_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynredem_mod.F90	(revision 5099)
@@ -18,7 +18,7 @@
 
 !===============================================================================
-!
+
 SUBROUTINE dynredem_write_u(ncid,id,var,ll)
-!
+
 !===============================================================================
   IMPLICIT NONE
@@ -63,12 +63,12 @@
   
 END SUBROUTINE dynredem_write_u
-!
-!===============================================================================
-
-
-!===============================================================================
-!
+
+!===============================================================================
+
+
+!===============================================================================
+
 SUBROUTINE dynredem_write_v(ncid,id,var,ll)
-!
+
 !===============================================================================
   IMPLICIT NONE
@@ -113,12 +113,12 @@
   
 END SUBROUTINE dynredem_write_v
-!
-!===============================================================================
-
-
-!===============================================================================
-!
+
+!===============================================================================
+
+
+!===============================================================================
+
 SUBROUTINE dynredem_read_u(ncid,id,var,ll)
-!
+
 !===============================================================================
   IMPLICIT NONE
@@ -149,5 +149,5 @@
     !$OMP MASTER
       start(3)=l
-      CALL err(NF90_GET_VAR(ncid,nvarid,var_glo,start,count),"get",id)
+      CALL err(nf90_get_var(ncid,nvarid,var_glo,start,count),"get",id)
     !$OMP END MASTER
     END IF
@@ -165,12 +165,12 @@
   
 END SUBROUTINE dynredem_read_u    
-!
-!===============================================================================
-
-
-!===============================================================================
-!
+
+!===============================================================================
+
+
+!===============================================================================
+
 SUBROUTINE cre_var(ncid,var,title,did,units)
-!
+
 !===============================================================================
   IMPLICIT NONE
@@ -187,12 +187,12 @@
 
 END SUBROUTINE cre_var
-!
-!===============================================================================
-
-
-!===============================================================================
-!
+
+!===============================================================================
+
+
+!===============================================================================
+
 SUBROUTINE put_var(ncid,var,title,did,v,units)
-!
+
 !===============================================================================
   IMPLICIT NONE
@@ -210,17 +210,17 @@
   CALL err(NF90_ENDDEF(ncid))
   nd=SIZE(did)
-  DO k=1,nd; CALL err(NF90_INQUIRE_DIMENSION(ncid,did(k),len=nn(k))); END DO
+  DO k=1,nd; CALL err(nf90_inquire_dimension(ncid,did(k),len=nn(k))); END DO
   IF(nd==1) CALL err(NF90_PUT_VAR(ncid,nvarid,RESHAPE(v,nn(1:1))),var)
   IF(nd==2) CALL err(NF90_PUT_VAR(ncid,nvarid,RESHAPE(v,nn(1:2))),var)
   CALL err(NF90_REDEF(ncid))
 END SUBROUTINE put_var
-!
-!===============================================================================
-
-
-!===============================================================================
-!
+
+!===============================================================================
+
+
+!===============================================================================
+
 FUNCTION msg(typ,nam)
-!
+
 !===============================================================================
   IMPLICIT NONE
@@ -242,12 +242,12 @@
 
 END FUNCTION msg
-!
-!===============================================================================
-
-
-!===============================================================================
-!
+
+!===============================================================================
+
+
+!===============================================================================
+
 SUBROUTINE err(ierr,typ,nam)
-!
+
 !===============================================================================
   IMPLICIT NONE
@@ -258,5 +258,5 @@
   CHARACTER(LEN=*), OPTIONAL, INTENT(IN) :: nam    !--- FIELD NAME
 !===============================================================================
-  IF(ierr==NF90_NoERR) RETURN
+  IF(ierr==nf90_noerr) RETURN
   IF(.NOT.PRESENT(typ)) THEN
     CALL ABORT_gcm(modname,NF90_STRERROR(ierr),ierr)
@@ -266,5 +266,5 @@
 
 END SUBROUTINE err
-!
+
 !===============================================================================
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/enercin_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/enercin_loc.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/enercin_loc.F90	(revision 5099)
@@ -1,4 +1,4 @@
 SUBROUTINE enercin_loc ( vcov, ucov, vcont, ucont, ecin )
-!
+
 !-------------------------------------------------------------------------------
 ! Authors: P. Le Van.
@@ -21,17 +21,17 @@
 !                 . V
 !                i,j-1
-!
+
 !      alpha4 .       . alpha1
-!
-!
+
+
 !        U .      . P     . U
 !       i-1,j    i,j      i,j
-!
+
 !      alpha3 .       . alpha2
-!
-!
+
+
 !                 . V
 !                i,j
-!
+
 ! Kinetic energy at scalar point P(i,j) (excluding poles) is:
 !       Ecin = 0.5 * U(i-1,j)**2 *( alpha3 + alpha4 )  +
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/exner_hyb_loc_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/exner_hyb_loc_m.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/exner_hyb_loc_m.F90	(revision 5099)
@@ -9,8 +9,8 @@
     !     Auteurs :  P.Le Van  , Fr. Hourdin  .
     !    ..........
-    !
+
     !    ....  ngrid, ps,p             sont des argum.d'entree  au sous-prog ...
     !    ....  pks,pk,pkf   sont des argum.de sortie au sous-prog ...
-    !
+
     !   ************************************************************************
     !    Calcule la fonction d'Exner pk = Cp * (p/preff) ** kappa , aux milieux des 
@@ -20,16 +20,16 @@
     !  .. N.B : Au sommet de l'atmosphere,  p(llm+1) = 0. , et ps et pks sont
     !    la pression et la fonction d'Exner  au  sol  .
-    !
+
     !                                 -------- z
     !    A partir des relations  ( 1 ) p*dz(pk) = kappa *pk*dz(p)      et
     !                            ( 2 ) pk(l) = alpha(l)+ beta(l)*pk(l-1)
     !    ( voir note de Fr.Hourdin )  ,
-    !
+
     !    on determine successivement , du haut vers le bas des couches, les 
     !    coef. alpha(llm),beta(llm) .,.,alpha(l),beta(l),,,alpha(2),beta(2), 
     !    puis pk(ij,1). Ensuite ,on calcule,du bas vers le haut des couches,  
     !     pk(ij,l)  donne  par la relation (2),  pour l = 2 a l = llm .
-    !
-    !
+
+
     USE parallel_lmdz
     USE mod_filtreg_p
@@ -39,5 +39,5 @@
     
     IMPLICIT NONE
-    !
+
     include "dimensions.h"
     include "paramet.h"
@@ -59,5 +59,5 @@
     !$OMP THREADPRIVATE(firstcall) 
     character(len=*),parameter :: modname="exner_hyb_loc"
-    !
+
     !$OMP BARRIER           
 
@@ -126,8 +126,8 @@
 
     !$OMP BARRIER
-    !
-    !
+
+
     !    .... Calcul des coeff. alpha et beta  pour la couche l = llm ..
-    !
+
     !$OMP DO SCHEDULE(STATIC)
     DO     ij      = ijb,ije
@@ -136,9 +136,9 @@
     ENDDO
     !$OMP ENDDO NOWAIT
-    !
+
     !     ... Calcul des coeff. alpha et beta  pour l = llm-1  a l = 2 ...
-    !
+
     DO l = llm -1 , 2 , -1
-       !
+
        !$OMP DO SCHEDULE(STATIC)
        DO ij = ijb, ije
@@ -152,5 +152,5 @@
     !  ***********************************************************************
     !     .....  Calcul de pk pour la couche 1 , pres du sol  ....
-    !
+
     !$OMP DO SCHEDULE(STATIC)
     DO   ij   = ijb, ije
@@ -159,7 +159,7 @@
     ENDDO
     !$OMP ENDDO NOWAIT
-    !
+
     !    ..... Calcul de pk(ij,l) , pour l = 2 a l = llm  ........
-    !
+
     DO l = 2, llm
        !$OMP DO SCHEDULE(STATIC)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/exner_milieu_loc_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/exner_milieu_loc_m.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/exner_milieu_loc_m.F90	(revision 5099)
@@ -6,12 +6,12 @@
 
   SUBROUTINE  exner_milieu_loc ( ngrid, ps, p, pks, pk, pkf )
-    !
+
     !     Auteurs :  F. Forget , Y. Wanherdrick
     ! P.Le Van  , Fr. Hourdin  .
     !    ..........
-    !
+
     !    ....  ngrid, ps,p             sont des argum.d'entree  au sous-prog ...
     !    ....  pks,pk,pkf   sont des argum.de sortie au sous-prog ...
-    !
+
     !   ************************************************************************
     !    Calcule la fonction d'Exner pk = Cp * (p/preff) ** kappa , aux milieux des 
@@ -21,5 +21,5 @@
     !  .. N.B : Au sommet de l'atmosphere,  p(llm+1) = 0. , et ps et pks sont
     !    la pression et la fonction d'Exner  au  sol  .
-    !
+
     !     WARNING : CECI est une version speciale de exner_hyb originale
     !               Utilise dans la version martienne pour pouvoir 
@@ -28,5 +28,5 @@
     !              energie totale/ interne / potentielle (F.Forget 2001)
     !    ( voir note de Fr.Hourdin )  ,
-    !
+
     USE parallel_lmdz
     USE mod_filtreg_p
@@ -35,5 +35,5 @@
     
     IMPLICIT NONE
-    !
+
     include "dimensions.h"
     include "paramet.h"
@@ -117,9 +117,9 @@
 
     !$OMP BARRIER
-    !
-    !
+
+
     !    .... Calcul de pk  pour la couche l 
     !    --------------------------------------------
-    !
+
     dum1 = cpp * (2*preff)**(-kappa) 
     DO l = 1, llm-1
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/filtreg_p.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/filtreg_p.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/filtreg_p.F	(revision 5099)
@@ -411,5 +411,5 @@
 
 !      DO j=1,nlat
-!     
+
 !          PRINT *,"check FFT ----> Delta(",j,")=",
 !     &            sum(champ(:,j,:)-champ_fft(:,j,:))/sum(champ(:,j,:)),
@@ -419,6 +419,5 @@
 !          PRINT *,"check FFT ----> Delta(",j,")=",
 !     &            sum(champ-champ_fft)/sum(champ)
-!      
-      
+
 c
  1111 FORMAT(//20x,'ERREUR dans le dimensionnement du tableau  CHAMP a 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/flumass_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/flumass_loc.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/flumass_loc.F90	(revision 5099)
@@ -1,4 +1,4 @@
 SUBROUTINE flumass_loc(massebx,masseby, vcont, ucont, pbaru, pbarv )
-!
+
 !-------------------------------------------------------------------------------
 ! Authors: P. Le Van , Fr. Hourdin.
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/fluxstokenc_p.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/fluxstokenc_p.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/fluxstokenc_p.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: caladvtrac_p.F 1299 2010-01-20 14:27:21Z fairhead $
-!
+
 c
 c
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/friction_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/friction_loc.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/friction_loc.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: friction_p.F 1299 2010-01-20 14:27:21Z fairhead $
-!
+
 c=======================================================================
       SUBROUTINE friction_loc(ucov,vcov,pdt)
@@ -16,5 +16,5 @@
 
 !=======================================================================
-!
+
 !   Friction for the Newtonian case:
 !   --------------------------------
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gcm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gcm.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gcm.F90	(revision 5099)
@@ -1,5 +1,4 @@
-!
+
 ! $Id$
-!
 
 PROGRAM gcm
@@ -36,15 +35,15 @@
 
   !=======================================================================
-  !
+
   !   Auteur:  P. Le Van /L. Fairhead/F.Hourdin
   !   -------
-  !
+
   !   Objet:
   !   ------
-  !
+
   !   GCM LMD nouvelle grille
-  !
+
   !=======================================================================
-  !
+
   !  ... Dans inigeom , nouveaux calculs pour les elongations  cu , cv
   !      et possibilite d'appeler une fonction f(y)  a derivee tangente
@@ -52,8 +51,8 @@
   !  ... Possibilite de choisir le schema pour l'advection de
   !        q  , en modifiant iadv dans traceur.def  (MAF,10/02) .
-  !
+
   !      Pour Van-Leer + Vapeur d'eau saturee, iadv(1)=4. (F.Codron,10/99)
   !      Pour Van-Leer iadv=10
-  !
+
   !-----------------------------------------------------------------------
   !   Declarations:
@@ -133,10 +132,10 @@
   !  lecture des fichiers gcm.def ou run.def
   !  ---------------------------------------
-  !
+
   CALL conf_gcm( 99, .TRUE. )
   if (mod(iphysiq, iperiod) /= 0) call abort_gcm("conf_gcm", &
        "iphysiq must be a multiple of iperiod", 1)
-  !
-  !
+
+
   !------------------------------------
   !   Initialisation partie parallele
@@ -270,7 +269,6 @@
   ENDIF
 
-  !
   ! on remet le calendrier \`a zero si demande
-  !
+
   IF (start_time /= starttime) then
      WRITE(lunout,*)' GCM: Attention l''heure de depart lue dans le' &
@@ -370,5 +368,5 @@
      CALL inifilr
   endif ! of if (iflag_phys.eq.1)
-  !
+
   !-----------------------------------------------------------------------
   !   Initialisation de la dissipation :
@@ -459,5 +457,5 @@
 
   ! #endif of #ifdef CPP_IOIPSL
-  !
+
   !-----------------------------------------------------------------------
   !   Integration temporelle du modele :
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/getparam.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/getparam.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/getparam.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: getparam.F90 1279 2009-12-10 09:02:56Z fairhead $
-!
+
 MODULE getparam
 #ifdef CPP_IOIPSL
@@ -20,7 +20,7 @@
   SUBROUTINE ini_getparam(fichier)
   USE parallel_lmdz
-    !
+
     IMPLICIT NONE
-    !
+
     CHARACTER*(*) :: fichier
     IF (mpi_rank==0) OPEN(out_eff,file=fichier,status='unknown',form='formatted')
@@ -30,7 +30,7 @@
   SUBROUTINE fin_getparam
   USE parallel_lmdz
-    !
+
     IMPLICIT NONE
-    !
+
       IF (mpi_rank==0) CLOSE(out_eff)
 
@@ -39,12 +39,12 @@
   SUBROUTINE getparamr(TARGET,def_val,ret_val,comment)
   USE parallel_lmdz
-    !
+
     IMPLICIT NONE
-    !
+
     !   Get a real scalar. We first check if we find it
     !   in the database and if not we get it from the run.def
-    !
+
     !   getinr1d and getinr2d are written on the same pattern
-    !
+
     CHARACTER*(*) :: TARGET
     REAL :: def_val
@@ -65,12 +65,12 @@
   SUBROUTINE getparami(TARGET,def_val,ret_val,comment)
   USE parallel_lmdz
-    !
+
     IMPLICIT NONE
-    !
+
     !   Get a real scalar. We first check if we find it
     !   in the database and if not we get it from the run.def
-    !
+
     !   getinr1d and getinr2d are written on the same pattern
-    !
+
     CHARACTER*(*) :: TARGET
     INTEGER :: def_val
@@ -92,12 +92,12 @@
   SUBROUTINE getparaml(TARGET,def_val,ret_val,comment)
   USE parallel_lmdz
-    !
+
     IMPLICIT NONE
-    !
+
     !   Get a real scalar. We first check if we find it
     !   in the database and if not we get it from the run.def
-    !
+
     !   getinr1d and getinr2d are written on the same pattern
-    !
+
     CHARACTER*(*) :: TARGET
     LOGICAL :: def_val
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gr_u_scal_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gr_u_scal_loc.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gr_u_scal_loc.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Header$
-!
+
       SUBROUTINE gr_u_scal_loc(nx,x_u,x_scal)
 c%W%    %G%
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gr_v_scal_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gr_v_scal_loc.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gr_v_scal_loc.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Header$
-!
+
       SUBROUTINE gr_v_scal_loc(nx,x_v,x_scal)
 c%W%    %G%
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/guide_loc_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/guide_loc_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/guide_loc_mod.F90	(revision 5099)
@@ -1653,5 +1653,5 @@
     
              status=nf90_inq_dimid(ncidu, "LONU", dimid)
-             status=NF90_INQUIRE_DIMENSION(ncidu,dimid,namedim,lendim)
+             status=nf90_inquire_dimension(ncidu,dimid,namedim,lendim)
              IF (lendim /= iip1) THEN
                 abort_message='dimension LONU different from iip1 in u.nc'
@@ -1660,5 +1660,5 @@
 
              status=nf90_inq_dimid(ncidu, "LATU", dimid)
-             status=NF90_INQUIRE_DIMENSION(ncidu,dimid,namedim,lendim)
+             status=nf90_inquire_dimension(ncidu,dimid,namedim,lendim)
              IF (lendim /= jjp1) THEN
                 abort_message='dimension LATU different from jjp1 in u.nc'
@@ -1684,5 +1684,5 @@
              
              status=nf90_inq_dimid(ncidv, "LONV", dimid)
-             status=NF90_INQUIRE_DIMENSION(ncidv,dimid,namedim,lendim)
+             status=nf90_inquire_dimension(ncidv,dimid,namedim,lendim)
              
                 IF (lendim /= iip1) THEN
@@ -1693,5 +1693,5 @@
 
              status=nf90_inq_dimid(ncidv, "LATV", dimid)
-             status=NF90_INQUIRE_DIMENSION(ncidv,dimid,namedim,lendim)
+             status=nf90_inquire_dimension(ncidv,dimid,namedim,lendim)
              IF (lendim /= jjm) THEN
                 abort_message='dimension LATV different from jjm in v.nc'
@@ -1717,5 +1717,5 @@
 
              status=nf90_inq_dimid(ncidt, "LONV", dimid)
-             status=NF90_INQUIRE_DIMENSION(ncidt,dimid,namedim,lendim)
+             status=nf90_inquire_dimension(ncidt,dimid,namedim,lendim)
              IF (lendim /= iip1) THEN
                 abort_message='dimension LONV different from iip1 in T.nc'
@@ -1724,5 +1724,5 @@
 
              status=nf90_inq_dimid(ncidt, "LATU", dimid)
-             status=NF90_INQUIRE_DIMENSION(ncidt,dimid,namedim,lendim)
+             status=nf90_inquire_dimension(ncidt,dimid,namedim,lendim)
              IF (lendim /= jjp1) THEN
                 abort_message='dimension LATU different from jjp1 in T.nc'
@@ -1749,5 +1749,5 @@
 
              status=nf90_inq_dimid(ncidQ, "LONV", dimid)
-             status=NF90_INQUIRE_DIMENSION(ncidQ,dimid,namedim,lendim)
+             status=nf90_inquire_dimension(ncidQ,dimid,namedim,lendim)
              IF (lendim /= iip1) THEN
                 abort_message='dimension LONV different from iip1 in hur.nc'
@@ -1756,5 +1756,5 @@
 
              status=nf90_inq_dimid(ncidQ, "LATU", dimid)
-             status=NF90_INQUIRE_DIMENSION(ncidQ,dimid,namedim,lendim)
+             status=nf90_inquire_dimension(ncidQ,dimid,namedim,lendim)
              IF (lendim /= jjp1) THEN
                 abort_message='dimension LATU different from jjp1 in hur.nc'
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/iniacademic_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/iniacademic_loc.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/iniacademic_loc.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: iniacademic.F90 1625 2012-05-09 13:14:48Z lguez $
-!
+
 SUBROUTINE iniacademic_loc(vcov,ucov,teta,q,masse,ps,phis,time_0)
 
@@ -23,5 +23,5 @@
   USE ener_mod, ONLY: etot0,ptot0,ztot0,stot0,ang0
   USE readTracFiles_mod, ONLY: addPhase
-  use netcdf, only : NF90_NOWRITE,NF90_OPEN,NF90_NOERR,NF90_INQ_VARID,NF90_CLOSE, NF90_GET_VAR
+  use netcdf, only : NF90_NOWRITE,NF90_OPEN,nf90_noerr,NF90_INQ_VARID,NF90_CLOSE, nf90_get_var
 
   !   Author:    Frederic Hourdin      original: 15/01/93
@@ -100,5 +100,5 @@
   ! 1. Initializations for Earth-like case
   ! --------------------------------------
-  !
+
   ! initialize planet radius, rotation rate,...
   call conf_planete
@@ -153,8 +153,8 @@
      relief=0.
      ierr = NF90_OPEN ('relief_in.nc', NF90_NOWRITE,nid_relief)
-     if (ierr==NF90_NOERR) THEN
+     if (ierr==nf90_noerr) THEN
          ierr=NF90_INQ_VARID(nid_relief,'RELIEF',varid)
-         if (ierr==NF90_NOERR) THEN
-              ierr=NF90_GET_VAR(nid_relief,varid,relief(1:iim,1:jjp1))
+         if (ierr==nf90_noerr) THEN
+              ierr=nf90_get_var(nid_relief,varid,relief(1:iim,1:jjp1))
               relief(iip1,:)=relief(1,:)
          else
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/initdynav_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/initdynav_loc.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/initdynav_loc.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: initdynav_p.F 1279 2009-12-10 09:02:56Z fairhead $
-!
+
       subroutine initdynav_loc(day0,anne0,tstep,t_ops,t_wrt)
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/initfluxsto_p.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/initfluxsto_p.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/initfluxsto_p.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
       subroutine initfluxsto_p
      .  (infile,tstep,t_ops,t_wrt,
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/inithist_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/inithist_loc.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/inithist_loc.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: initdynav_p.F 1279 2009-12-10 09:02:56Z fairhead $
-!
+
       subroutine inithist_loc(day0,anne0,tstep,t_ops,t_wrt)
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/integrd_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/integrd_loc.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/integrd_loc.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: integrd_p.F 1299 2010-01-20 14:27:21Z fairhead $
-!
+
       SUBROUTINE integrd_loc
      $  (  nq,vcovm1,ucovm1,tetam1,psm1,massem1,
@@ -234,5 +234,5 @@
 !      ijb=ij_begin
 !      ije=ij_end
-!      
+
 !c$OMP DO SCHEDULE(STATIC,OMP_CHUNK) 
 !      DO  l = 1,llm
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/leapfrog_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/leapfrog_loc.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/leapfrog_loc.F	(revision 5099)
@@ -1,5 +1,5 @@
-! 
+
 ! $Id$
-!
+
 c
 c
@@ -256,5 +256,5 @@
 !$OMP MASTER
       if (firstcall) then
-!      
+
 !      ALLOCATE(p(ijb_u:ije_u,llmp1))
 !      ALLOCATE(pks(ijb_u:ije_u))
@@ -579,10 +579,10 @@
 !         call Register_SwapFieldHallo(finvmaold,finvmaold,ip1jmp1,llm,
 !     &                                jj_Nb_caldyn,0,0,TestRequest)
-! 
+
 !        do j=1,nqtot
 !         call Register_SwapFieldHallo(q(:,:,j),q(:,:,j),ip1jmp1,llm,
 !     &                                jj_nb_caldyn,0,0,TestRequest)
 !        enddo
-!
+
 !         call Set_Distrib(distrib_caldyn)
 !         call SendRequest(TestRequest)
@@ -864,5 +864,5 @@
 
 ! c  Diagnostique de conservation de l'energie : initialisation
-!  
+
 ! c-jld
 ! c$OMP BARRIER
@@ -879,8 +879,8 @@
 ! #endif
 !         call SetTag(Request_physic,800)
-!         
+
 !         call Register_SwapField_u(ucov,ucov,distrib_physic,
 !      *                            Request_physic,up=2,down=2)
-!         
+
 !         call Register_SwapField_v(vcov,vcov,distrib_physic,
 !      *                            Request_physic,up=2,down=2)
@@ -888,5 +888,5 @@
 !         call Register_SwapField_u(teta,teta,distrib_physic,
 !      *                            Request_physic,up=2,down=2)
-!         
+
 !         call Register_SwapField_u(masse,masse,distrib_physic,
 !      *                            Request_physic,up=1,down=2)
@@ -894,17 +894,17 @@
 !         call Register_SwapField_u(p,p,distrib_physic,
 !      *                            Request_physic,up=2,down=2)
-!         
+
 !         call Register_SwapField_u(pk,pk,distrib_physic,
 !      *                            Request_physic,up=2,down=2)
-!         
+
 !         call Register_SwapField_u(phis,phis,distrib_physic,
 !      *                            Request_physic,up=2,down=2)
-!         
+
 !         call Register_SwapField_u(phi,phi,distrib_physic,
 !      *                            Request_physic,up=2,down=2)
-!         
+
 !         call Register_SwapField_u(w,w,distrib_physic,
 !      *                            Request_physic,up=2,down=2)
-!         
+
 !         call Register_SwapField_u(q,q,distrib_physic,
 !      *                            Request_physic,up=2,down=2)
@@ -912,5 +912,5 @@
 !         call Register_SwapField_u(flxw,flxw,distrib_physic,
 !      *                            Request_physic,up=2,down=2)
-!         
+
 !         call SendRequest(Request_Physic)
 ! c$OMP BARRIER
@@ -921,5 +921,5 @@
 !         call Set_Distrib(distrib_Physic)
 !         call VTe(VThallo)
-!         
+
 !         call VTb(VTphysiq)
 ! c$OMP END MASTER
@@ -1080,11 +1080,11 @@
 !         call Register_SwapField_u(ucov,ucov,
 !      *                               distrib_caldyn,Request_physic)
-!         
+
 !         call Register_SwapField_v(vcov,vcov,
 !      *                               distrib_caldyn,Request_physic)
-!         
+
 !         call Register_SwapField_u(teta,teta,
 !      *                               distrib_caldyn,Request_physic)
-!         
+
 !         call Register_SwapField_u(masse,masse,
 !      *                               distrib_caldyn,Request_physic)
@@ -1092,14 +1092,14 @@
 !         call Register_SwapField_u(p,p,
 !      *                               distrib_caldyn,Request_physic)
-!         
+
 !         call Register_SwapField_u(pk,pk,
 !      *                               distrib_caldyn,Request_physic)
-!         
+
 !         call Register_SwapField_u(phis,phis,
 !      *                               distrib_caldyn,Request_physic)
-!         
+
 !         call Register_SwapField_u(phi,phi,
 !      *                               distrib_caldyn,Request_physic)
-!         
+
 !         call Register_SwapField_u(w,w,
 !      *                               distrib_caldyn,Request_physic)
@@ -1107,5 +1107,5 @@
 !         call Register_SwapField_u(q,q,
 !      *                               distrib_caldyn,Request_physic)
-!         
+
 !         call SendRequest(Request_Physic)
 ! c$OMP BARRIER
@@ -1226,5 +1226,5 @@
 !c$OMP MASTER
 !        call suspend_timer(timer_caldyn)
-!        
+
 !c       print*,'Entree dans la dissipation : Iteration No ',true_itau
 !c   calcul de l'energie cinetique avant dissipation
@@ -1277,7 +1277,7 @@
 !        call WriteField_u('dtetadis',dtetadis)
 !#endif
-! 
+
 !!      CALL FTRACE_REGION_END("dissip")
-!         
+
 !        ijb=ij_begin
 !        ije=ij_end
@@ -1318,5 +1318,5 @@
 !            call covcont_loc(llm,ucov,vcov,ucont,vcont)
 !            call enercin_loc(vcov,ucov,vcont,ucont,ecin)
-!            
+
 !            ijb=ij_begin
 !            ije=ij_end
@@ -1349,5 +1349,5 @@
 !        ijb=ij_begin
 !        ije=ij_end
-!         
+
 !        if (pole_nord) then
 !c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -1369,5 +1369,5 @@
 !          ENDDO
 !            tpn  = SSUM(iim,tppn,1)/apoln
-!  
+
 !          DO ij = 1, iip1
 !            ps(  ij    ) = tpn
@@ -1375,5 +1375,5 @@
 !c$OMP END MASTER
 !        endif
-!        
+
 !        if (pole_sud) then
 !c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -1395,5 +1395,5 @@
 !          ENDDO
 !            tps  = SSUM(iim,tpps,1)/apols
-!  
+
 !          DO ij = 1, iip1
 !            ps(ij+ip1jm) = tps
@@ -1408,5 +1408,5 @@
 
 !        call stop_timer(timer_dissip)
-!        
+
 !        call VTb(VThallo)
 !c$OMP END MASTER
@@ -1738,5 +1738,5 @@
 !             iday = day_ini+itau/day_step
 !             time = REAL(itau-(iday-day_ini)*day_step)/day_step+time_0
-!
+
 !                  IF(time.GT.1.) THEN
 !                   time = time-1.
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/lmdz_call_calfis.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/lmdz_call_calfis.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/lmdz_call_calfis.F90	(revision 5099)
@@ -129,8 +129,5 @@
 #endif
 
-!
 !     .......   Ajout   P.Le Van ( 17/04/96 )   ...........
-!
-
 
   !$OMP MASTER
@@ -390,5 +387,4 @@
   !$OMP BARRIER
 
-!
 !  Diagnostique de conservation de l'energie : difference
     IF (ip_ebil_dyn>=1 ) THEN
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/logic_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/logic_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/logic_mod.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: $
-!
+
 MODULE logic_mod
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/massbar_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/massbar_loc.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/massbar_loc.F90	(revision 5099)
@@ -1,4 +1,4 @@
 SUBROUTINE massbar_loc(masse,massebx,masseby)
-!
+
 !-------------------------------------------------------------------------------
 ! Authors: P. Le Van , Fr. Hourdin.
@@ -23,28 +23,28 @@
 !    * alpha4(i,j) at point ( i-1/4,j-1/4 )
 ! where alpha1(i,j) = aire(i+1/4,j-1/4)/ aire(i,j)
-!
+
 !   alpha4 .         . alpha1    . alpha4
 !    (i,j)             (i,j)       (i+1,j)
-!
+
 !             P .        U .          . P
 !           (i,j)       (i,j)         (i+1,j)
-!
+
 !   alpha3 .         . alpha2    .alpha3 
 !    (i,j)              (i,j)     (i+1,j)
-!
+
 !             V .        Z .          . V
 !           (i,j)
-!
+
 !   alpha4 .         . alpha1    .alpha4
 !   (i,j+1)            (i,j+1)   (i+1,j+1) 
-!
+
 !             P .        U .          . P
 !          (i,j+1)                    (i+1,j+1)
-!
-!
+
+
 !    massebx(i,j) = masse(i  ,j) * ( alpha1(i  ,j) + alpha2(i,j))   +
 !                   masse(i+1,j) * ( alpha3(i+1,j) + alpha4(i+1,j) )
 !     localized at point  ... U (i,j) ...
-!
+
 !    masseby(i,j) = masse(i,j  ) * ( alpha2(i,j  ) + alpha3(i,j  )  +
 !                   masse(i,j+1) * ( alpha1(i,j+1) + alpha4(i,j+1)  
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/massbarxy_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/massbarxy_loc.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/massbarxy_loc.F90	(revision 5099)
@@ -1,4 +1,4 @@
 SUBROUTINE massbarxy_loc(masse,massebxy)
-!
+
 !-------------------------------------------------------------------------------
 ! Authors: P. Le Van , Fr. Hourdin.
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_const_mpi.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_const_mpi.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_const_mpi.F90	(revision 5099)
@@ -1,5 +1,5 @@
-! 
+
 ! $Id: mod_const_para.F90 1279 2009-12-10 09:02:56Z fairhead $
-!
+
 MODULE mod_const_mpi
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_filtreg_p.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_filtreg_p.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_filtreg_p.F	(revision 5099)
@@ -420,5 +420,5 @@
 
 !      DO j=1,nlat
-!     
+
 !          PRINT *,"check FFT ----> Delta(",j,")=",
 !     &            sum(champ(:,j,:)-champ_fft(:,j,:))/sum(champ(:,j,:)),
@@ -428,6 +428,5 @@
 !          PRINT *,"check FFT ----> Delta(",j,")=",
 !     &            sum(champ-champ_fft)/sum(champ)
-!      
-      
+
 c
  1111 FORMAT(//20x,'ERREUR dans le dimensionnement du tableau  CHAMP a 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_xios_dyn3dmem.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_xios_dyn3dmem.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_xios_dyn3dmem.F90	(revision 5099)
@@ -1,15 +1,14 @@
-!
+
 ! $Id$
-!
+
 ! This module contains the interface between the LMDZ dynamics dyn3dmem module and XIOS.
-! 
+
 ! Lists of subroutines
 !      xios_dyn3dmem_init : context / calendar / domain / axis initialisations
-!
+
 ! Initialisation of communicator between LMDZ and XIOS is done elsewhere: wxios_init called by init_const_mpi 
 !                                                                         (one of the first calls in gcm.F90)
 ! L. Fairhead 11/2017
-!
-!
+
 
 MODULE mod_xios_dyn3dmem
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/parallel_lmdz.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/parallel_lmdz.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/parallel_lmdz.F90	(revision 5099)
@@ -1,5 +1,5 @@
-! 
+
 ! $Id$
-!
+
   MODULE parallel_lmdz
   USE mod_const_mpi
@@ -742,13 +742,13 @@
 !      INCLUDE "dimensions.h"
 !      INCLUDE "paramet.h"    
-!    
+
 !      INTEGER :: ij,ll
 !      REAL, dimension(ij,ll) :: Field
 !      INTEGER :: up,down 
-!      
+
 !      REAL,dimension(ij,ll): NewField
-!      
+
 !      NewField=0
-!      
+
 !      ijb=ij_begin
 !      ije=ij_end
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/paramet.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/paramet.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/paramet.h	(revision 5099)
@@ -1,12 +1,12 @@
-!
+
 ! $Id$
-!
-!
+
+
 !  ATTENTION!!!!: ce fichier include est compatible format fixe/format libre
 !                 veillez  n'utiliser que des ! pour les commentaires
 !                 et  bien positionner les & des lignes de continuation
 !                 (les placer en colonne 6 et en colonne 73)
-!
-!
+
+
 !-----------------------------------------------------------------------
 !   INCLUDE 'paramet.h'
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/qminimum_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/qminimum_loc.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/qminimum_loc.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 !     $Id$
-!
+
       SUBROUTINE qminimum_loc( q,nqtot,deltap )
       USE parallel_lmdz
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/sw_case_williamson91_6_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/sw_case_williamson91_6_loc.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/sw_case_williamson91_6_loc.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id $
-!
+
       SUBROUTINE sw_case_williamson91_6_loc(vcov,ucov,teta,masse,ps)
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/temps_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/temps_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/temps_mod.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: temps_mod.F90 -1   $
-!
+
 MODULE temps_mod
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/top_bound_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/top_bound_loc.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/top_bound_loc.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: $
-!
+
       SUBROUTINE top_bound_loc(vcov,ucov,teta,masse,dt)
       USE parallel_lmdz
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/tourpot_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/tourpot_loc.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/tourpot_loc.F90	(revision 5099)
@@ -1,4 +1,4 @@
 SUBROUTINE tourpot_loc ( vcov, ucov, massebxy, vorpot )
-!
+
 !-------------------------------------------------------------------------------
 ! Authors: P. Le Van.
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vitvert_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vitvert_loc.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vitvert_loc.F90	(revision 5099)
@@ -1,4 +1,4 @@
 SUBROUTINE vitvert_loc(convm, w)
-!
+
 !-------------------------------------------------------------------------------
 ! Authors: P. Le Van , Fr. Hourdin.
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlsplt_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlsplt_loc.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlsplt_loc.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
       RECURSIVE SUBROUTINE vlx_loc(q,pente_max,masse,u_m,ijb_x,ije_x,iq)
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltgen_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltgen_loc.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltgen_loc.F	(revision 5099)
@@ -1,6 +1,5 @@
 
-!     
 ! $Header$
-!
+
        SUBROUTINE vlspltgen_loc( q,pente_max,masse,w,pbaru,pbarv,
      &                           pdt, p,pk,teta                 )
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltqs_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltqs_loc.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltqs_loc.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 !     $Id$
-!
+
       SUBROUTINE vlxqs_loc(q,pente_max,masse,u_m,qsat,ijb_x,ije_x,iq)
 c
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/wrgrads.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/wrgrads.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/wrgrads.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Header$
-!
+
       subroutine wrgrads(if,nl,field,name,titlevar)
       implicit none
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedyn_xios.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedyn_xios.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedyn_xios.F90	(revision 5099)
@@ -1,5 +1,5 @@
 
 ! $Id$
-!
+
       SUBROUTINE writedyn_xios( vcov, ucov,teta,ppk,phi,q, &
                              masse,ps,phis)
@@ -15,8 +15,8 @@
       
       implicit none
-!
+
 !   Ecriture du fichier histoire au format xios
-!
-!
+
+
 !   Entree:
 !      vcov: vents v covariants
@@ -28,9 +28,9 @@
 !      ps   :pression au sol
 !      phis : geopotentiel au sol
-!      
+
 !   L. Fairhead, LMD, 03/21
-!
+
 ! =====================================================================
-!
+
 !   Declarations
       include "dimensions.h"
@@ -40,7 +40,5 @@
       include "iniprint.h"
 
-!
 !   Arguments
-!
 
       REAL vcov(ijb_v:ije_v,llm),ucov(ijb_u:ije_u,llm) 
@@ -54,5 +52,5 @@
 
 !   Variables locales
-!
+
       INTEGER,SAVE,ALLOCATABLE :: ndex2d(:),ndexu(:),ndexv(:)
       INTEGER :: iq, ii, ll
@@ -68,7 +66,5 @@
 !$OMP THREADPRIVATE(first)
 
-!
 !  Initialisations
-!
 
 !      WRITE(*,*)'IN WRITEDYN_XIOS'
@@ -103,9 +99,8 @@
       call covnat_loc(llm, ucov, vcov, unat, vnat)
 
-!
 !  Appels a histwrite pour l'ecriture des variables a sauvegarder
-!
+
 !  Vents U
-!
+
       ijb=ij_begin
       ije=ij_end
@@ -114,7 +109,6 @@
       CALL writefield_dyn_u('U', unat(ijb:ije,:))
 
-!
 !  Vents V
-!
+
       ije=ij_end
       IF (pole_sud) THEN
@@ -130,10 +124,7 @@
          CALL writefield_dyn_v('V', vbuffer(ijb:ije,:))
       ENDIF
-      
 
-      
-!
 !  Temperature potentielle moyennee
-!
+
       ijb=ij_begin
       ije=ij_end
@@ -141,7 +132,5 @@
      CALL writefield_dyn_u('THETA', teta(ijb:ije,:))
 
-!
 !  Temperature moyennee
-!
 
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)       
@@ -154,27 +143,19 @@
       CALL writefield_dyn_u('TEMP', tm(ijb:ije,:))
 
+!  Geopotentiel
 
-!
-!  Geopotentiel
-!
       CALL writefield_dyn_u('PHI', phi(ijb:ije,:))
 
+! Tracers?
 
-!
-! Tracers?
-!
 !        DO iq=1,nqtot
 !        ENDDO
 
+!  Masse
 
-!
-!  Masse
-!
       CALL writefield_dyn_u('MASSE', masse(ijb:ije,:))
 
+!  Pression au sol
 
-!
-!  Pression au sol
-!
       CALL writefield_dyn_u('PS', ps(ijb:ije))
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedynav_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedynav_loc.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedynav_loc.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: writedynav_p.F 1279 2009-12-10 09:02:56Z fairhead $
-!
+
       subroutine writedynav_loc( time, vcov, ucov,teta,ppk,phi,q,
      .                           masse,ps,phis)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writehist_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writehist_loc.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writehist_loc.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: writedynav_p.F 1279 2009-12-10 09:02:56Z fairhead $
-!
+
       subroutine writehist_loc( time, vcov, ucov,teta,ppk,phi,q,
      .                          masse,ps,phis)
